New Airport Extreme, do i need to unistall previous airport utility?

Discussion in 'Mac Accessories' started by welch, Mar 14, 2009.

  1. welch macrumors newbie

    Joined:
    Mar 10, 2008
    #1
    This might seem an odd question but I had to replace my last Airport Extreme base station as it was faulty....I've now got the newer "Dual Band Extreme Base Station".

    I want to avoid any conflicts with my old settings for my wireless network with my MBP. Should I uninstall the last version of Airport Utility?

    Is there anything else anyone would recommend before i install or connect the new hardware/software?

    Thanks for your feedback
     
  2. skorpien macrumors 68020

    Joined:
    Jan 14, 2008
    #2
    No, you don't need to uninstall anything. Just make sure you've updated to the latest version that's available in Software Update. The AirPort Utility will work with any AirPort Base Station, be it Express, Extreme or a Time Capsule, or dual band or not.

    Also, be sure to install any firmware updates if there have been any released since the release of the dual band base stations.
     
  3. welch thread starter macrumors newbie

    Joined:
    Mar 10, 2008
    #3
    Thanks for a really fast and detailed response....

    Great forum!
     

Share This Page